package com.huashe.park.application;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;

import com.dtflys.forest.springboot.annotation.ForestScan;
import com.huashe.park.infrastructure.socket.cfg.EnableSocketServer;

/**
 * 启动程序
 *
 * @author ruoyi
 */
@SpringBootApplication(exclude = {
    DataSourceAutoConfiguration.class
})
@ComponentScan(basePackages = {
    "com.ruoyi", "com.huashe.park"
})
@MapperScan("com.huashe.park.core.mapper")
@ForestScan(basePackages = {
    "com.huashe.park.infrastructure.uwb", "com.huashe.park.infrastructure.mqtt"
})
@EnableSocketServer(basePackages = {
    "com.huashe.park.infrastructure.socket.server"
})
public class BDApplication {
    public static void main(String[] args) {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(BDApplication.class, args);
    }
}
