package com.huashe.park.core.service;

import com.huashe.park.domain.entity.ParkAttendGroupUsr;

import java.util.List;

/**
 * 考勤组人员Service接口
 *
 * @author ruoyi
 * @date 2025-01-08
 */
public interface IParkAttendGroupUsrService {
    /**
     * 查询考勤组人员
     *
     * @param id 考勤组人员主键
     * @return 考勤组人员
     */
    public ParkAttendGroupUsr selectParkAttendGroupUsrById(Long id);

    /**
     * 查询考勤组人员列表
     *
     * @param parkAttendGroupUsr 考勤组人员
     * @return 考勤组人员集合
     */
    public List<ParkAttendGroupUsr> selectParkAttendGroupUsrList(ParkAttendGroupUsr parkAttendGroupUsr);

    /**
     * 新增考勤组人员
     *
     * @param parkAttendGroupUsr 考勤组人员
     * @return 结果
     */
    public int insertParkAttendGroupUsr(ParkAttendGroupUsr parkAttendGroupUsr);


    void insertParkAttendGroupUsrBatch(List<ParkAttendGroupUsr> userList);

    /**
     * 修改考勤组人员
     *
     * @param parkAttendGroupUsr 考勤组人员
     * @return 结果
     */
    public int updateParkAttendGroupUsr(ParkAttendGroupUsr parkAttendGroupUsr);

    /**
     * 批量删除考勤组人员
     *
     * @param ids 需要删除的考勤组人员主键集合
     * @return 结果
     */
    public int deleteParkAttendGroupUsrByIds(Long[] ids);

    /**
     * 删除考勤组人员信息
     *
     * @param id 考勤组人员主键
     * @return 结果
     */
    public int deleteParkAttendGroupUsrById(Long id);
}
