package com.huashe.park.domain.dto.cons;

import com.huashe.park.common.excel.CsvAlias;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class ResultCADCsv {
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @CsvAlias(alias = "Drain nr.")
    private Long id;

    @CsvAlias(alias = "Hole Number")
    private String pileNum;

    @CsvAlias(alias = "Date")
    private String dt;

    @CsvAlias(alias = "Starting Time")
    private String startingTime;

    @CsvAlias(alias = "Duration")
    private Long duration;

    @CsvAlias(alias = "X-coordinate")
    private Double realX;

    @CsvAlias(alias = "Y-coordinate")
    private Double realY;

    @CsvAlias(alias = "Height")
    private Double startHeight;

    /** 有效下行深度（米） */
    @CsvAlias(alias = "Max. Depth")
    private Double effectiveDown;

    @CsvAlias(alias = "Pull Value")
    private Float pullValue;

    @CsvAlias(alias = "Actual. Depth")
    private Float actualDepth;

    @CsvAlias(alias = "Tilt X")
    private Double forwardTiltAngle;

    @CsvAlias(alias = "Tilt Y")
    private Double tiltAngle;

    @CsvAlias(alias = "Max. Press")
    private Double avgSprayPressure;

    @CsvAlias(alias = "Ending Press")
    private Double endingPress;

    @CsvAlias(alias = "Intrusion Vel.[m/s]")
    private Float avgSpeed;

    @CsvAlias(alias = "Pullout Vel.[m/s]")
    private Float avgUpSpeed;

    @CsvAlias(alias = "Result")
    private String evaluation;

    @CsvAlias(alias = "Design Depth")
    private Double designDepth = 40D;
}
