/*
 * 文 件 名:  DwdWeatherHourRtMapper
 * 版    权:
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2021/9/22
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.data.mapper;

import com.huashe.common.data.model.AdmApiAuth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 小时天气时空保存
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2021/9/22]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Mapper
public interface AdmApiAuthMapper {
    /**
     * 新增认证配置
     *
     * @param admApiAuth 配置对象
     */
    void insert(AdmApiAuth admApiAuth);

    /**
     * 新增认证配置
     *
     * @param admApiAuth 配置对象
     */
    void update(AdmApiAuth admApiAuth);

    /**
     * 删除认证配置
     *
     * @param clientId 客户端编号
     */
    void delete(@Param("clientId") String clientId);

    /**
     * 查询Api认证记录
     *
     * @param apiKey 认证记录
     * @return 认证配置对象
     */
    AdmApiAuth getByKey(@Param("apiKey") String apiKey);
}