/*
 * 文 件 名:  DwdWeatherHourRtMapper
 * 版    权:
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2021/9/22
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.data.mapper;

import com.huashe.common.domain.model.WeatherForecast;
import com.huashe.common.domain.model.WeatherRt;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 小时天气时空保存
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2021/9/22]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Mapper
public interface AdmWeatherForecastMapper {
    /**
     * 根据adcode和date查询
     * @param adcode 行政区划代码

     * @return List<WeatherRt>
     */
    List<WeatherForecast> getByAdcode(@Param("adcode") String adcode);

    /**
     * 天气预报入库
     *
     * @param list 对象
     */
    void insertBatch(List<WeatherForecast> list);

    /**
     * 根据区划代码删除
     */
    void deleteByAdcode(@Param("adcode") String adcode);
}