/*
 * 文 件 名:  DwdWeatherHourRtMapper
 * 版    权:
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2021/9/22
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.data.mapper;

import com.huashe.common.domain.model.WeatherRt;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 天气实况保存
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2021/9/22]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Mapper
public interface AdmWeatherRtMapper {
    /**
     * 小时天气实况入库
     *
     * @param poItem 对象
     */
    void merge(WeatherRt poItem);

    /**
     * 获取最新数据
     * @param adcode 行政区划代码
     * @return WeatherRt
     */
    WeatherRt getNewByAdcode(@Param("adcode") String adcode);

    /**
     * 根据adcode和date查询
     * @param adcode 行政区划代码
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return List<WeatherRt>
     */
    List<WeatherRt> getByTime(@Param("adcode") String adcode, @Param("startTime") String startTime,
        @Param("endTime") String endTime);
}