package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 碳计量日对象 adm_ems_ca_meter_d
 *
 * @author ruoyi
 * @date 2024-08-12
 */
@EqualsAndHashCode(callSuper = true)
@Data

public class CaMeterD extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    @Excel(name = "园区代码")
    private String areaCode;

    @Excel(name = "园区名称")
    private String areaName;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 碳排放量 （千克）
     */
    @Excel(name = "碳排放量 ", readConverterExp = "千=克")
    private Double caEmissionQuantity;

    /**
     * 碳汇量（千克）
     */
    @Excel(name = "碳汇量", readConverterExp = "千=克")
    private Double caSinkQuantity;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaCode", getAreaCode())
                .append("date", getDate())
                .append("caEmissionQuantity", getCaEmissionQuantity())
                .append("caSinkQuantity", getCaSinkQuantity())
                .toString();
    }
}
