package com.ruoyi.ems.mapper;

import java.util.List;
import com.ruoyi.ems.domain.AdmEmsEcoD;

/**
 * 节能计量日Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public interface AdmEmsEcoDMapper 
{
    /**
     * 查询节能计量日
     * 
     * @param id 节能计量日主键
     * @return 节能计量日
     */
    public AdmEmsEcoD selectAdmEmsEcoDById(Long id);

    /**
     * 查询节能计量日列表
     * 
     * @param admEmsEcoD 节能计量日
     * @return 节能计量日集合
     */
    public List<AdmEmsEcoD> selectAdmEmsEcoDList(AdmEmsEcoD admEmsEcoD);

    /**
     * 新增节能计量日
     * 
     * @param admEmsEcoD 节能计量日
     * @return 结果
     */
    public int insertAdmEmsEcoD(AdmEmsEcoD admEmsEcoD);

    /**
     * 修改节能计量日
     * 
     * @param admEmsEcoD 节能计量日
     * @return 结果
     */
    public int updateAdmEmsEcoD(AdmEmsEcoD admEmsEcoD);

    /**
     * 删除节能计量日
     * 
     * @param id 节能计量日主键
     * @return 结果
     */
    public int deleteAdmEmsEcoDById(Long id);

    /**
     * 批量删除节能计量日
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdmEmsEcoDByIds(Long[] ids);
}
