package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecProdForecast;

import java.util.List;

/**
 * 电力产能预测Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-12
 */
public interface ElecProdForecastMapper {
    /**
     * 查询电力产能预测
     *
     * @param id 电力产能预测主键
     * @return 电力产能预测
     */
    ElecProdForecast selectElecProdForecastById(Long id);

    /**
     * 查询电力产能预测列表
     *
     * @param elecProdForecast 电力产能预测
     * @return 电力产能预测集合
     */
    List<ElecProdForecast> selectElecProdForecastList(ElecProdForecast elecProdForecast);

    /**
     * 新增电力产能预测
     *
     * @param elecProdForecast 电力产能预测
     * @return 结果
     */
    int insertElecProdForecast(ElecProdForecast elecProdForecast);

    /**
     * 修改电力产能预测
     *
     * @param elecProdForecast 电力产能预测
     * @return 结果
     */
    int updateElecProdForecast(ElecProdForecast elecProdForecast);

    /**
     * 删除电力产能预测
     *
     * @param id 电力产能预测主键
     * @return 结果
     */
    int deleteElecProdForecastById(Long id);

    /**
     * 批量删除电力产能预测
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteElecProdForecastByIds(Long[] ids);
}
