package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.OpEnergyStrategyParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能源策略参数Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public interface OpEnergyStrategyParamMapper {

    /**
     * 查询能源策略参数列表
     *
     * @param strategyCode 能源策略编码
     * @return 能源策略参数集合
     */
    List<OpEnergyStrategyParam> selectParamByStrategyCode(@Param("strategyCode") String strategyCode);

    /**
     * 修改能源策略参数
     *
     * @param strategyCode 策略编码
     * @param paramGroup   参数分组
     * @param paramKey     参数key
     * @param paramValue   参数value
     * @return 修改记录数
     */
    int updateParamValue(@Param("strategyCode") String strategyCode, @Param("paramGroup") String paramGroup,
        @Param("paramKey") String paramKey, @Param("paramValue") String paramValue);
}
