package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.OpEnergyStrategyStep;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能源策略步骤Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public interface OpEnergyStrategyStepMapper {
    /**
     * 查询能源策略步骤列表
     *
     * @param strategyCode 能源策略步骤code
     * @return 能源策略步骤集合
     */
    List<OpEnergyStrategyStep> selectStepByStrategyCode(@Param("strategyCode") String strategyCode);

    /**
     * 新增能源策略步骤
     *
     * @param strategyStep 能源策略步骤
     * @return 结果
     */
    int insertStep(OpEnergyStrategyStep strategyStep);

    /**
     * 新增能源策略步骤
     *
     * @param list 能源策略步骤列表
     * @return 结果
     */
    int insertStepBatch(List<OpEnergyStrategyStep> list);

    /**
     * 修改能源策略步骤
     *
     * @param Step 能源策略步骤
     * @return 结果
     */
    int updateStep(OpEnergyStrategyStep Step);

    /**
     * 删除能源策略步骤
     *
     * @param strategyCode 能源策略步骤code
     * @return 结果
     */
    int deleteStepByStrategyCode(@Param("strategyCode") String strategyCode);
}
