package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.MeterBoundaryRel;

import java.util.List;

/**
 * 计量设备绑定边界对象关系Service接口
 *
 * @author ruoyi
 * @date 2024-12-09
 */
public interface IMeterBoundaryRelService {
    /**
     * 查询计量设备绑定边界对象关系列表
     *
     * @param objType     计量对象类型
     * @param boundaryObj 计量对象编号
     * @param meterCls    计量介质
     * @return 计量设备绑定边界对象关系集合
     */
    List<MeterBoundaryRel> selectRelByObj(String boundaryObj, Integer objType, Integer meterCls);

    /**
     * 删除计量设备绑定边界对象关系信息
     *
     * @param objType     计量对象类型
     * @param boundaryObj 计量对象编号
     * @return 结果
     */
    int deleteRelByObj(Integer objType, String boundaryObj, Integer meterCls);

    /**
     * 新增计量设备绑定边界对象关系
     *
     * @param list 计量绑定关系列表
     * @return 结果
     */
    int insertRelBatch(List<MeterBoundaryRel> list);
}
