package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.OpEnergyStrategyParam;

import java.util.List;

/**
 * 能源策略参数Service接口
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public interface IOpEnergyStrategyParamService {
    /**
     * 查询能源策略参数列表
     *
     * @param strategyCode 能源策略编码
     * @return 能源策略参数集合
     */
    List<OpEnergyStrategyParam> selectParamByStrategyCode(String strategyCode);

    /**
     * 修改能源策略参数
     *
     * @param strategyParam 策略参数
     * @return 修改记录数
     */
    int updateParamValue(OpEnergyStrategyParam strategyParam);
}
