package com.ruoyi.ems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ems.mapper.AdmEmsEcoDMapper;
import com.ruoyi.ems.domain.AdmEmsEcoD;
import com.ruoyi.ems.service.IAdmEmsEcoDService;

/**
 * 节能计量日Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
@Service
public class AdmEmsEcoDServiceImpl implements IAdmEmsEcoDService 
{
    @Autowired
    private AdmEmsEcoDMapper admEmsEcoDMapper;

    /**
     * 查询节能计量日
     * 
     * @param id 节能计量日主键
     * @return 节能计量日
     */
    @Override
    public AdmEmsEcoD selectAdmEmsEcoDById(Long id)
    {
        return admEmsEcoDMapper.selectAdmEmsEcoDById(id);
    }

    /**
     * 查询节能计量日列表
     * 
     * @param admEmsEcoD 节能计量日
     * @return 节能计量日
     */
    @Override
    public List<AdmEmsEcoD> selectAdmEmsEcoDList(AdmEmsEcoD admEmsEcoD)
    {
        return admEmsEcoDMapper.selectAdmEmsEcoDList(admEmsEcoD);
    }

    /**
     * 新增节能计量日
     * 
     * @param admEmsEcoD 节能计量日
     * @return 结果
     */
    @Override
    public int insertAdmEmsEcoD(AdmEmsEcoD admEmsEcoD)
    {
        return admEmsEcoDMapper.insertAdmEmsEcoD(admEmsEcoD);
    }

    /**
     * 修改节能计量日
     * 
     * @param admEmsEcoD 节能计量日
     * @return 结果
     */
    @Override
    public int updateAdmEmsEcoD(AdmEmsEcoD admEmsEcoD)
    {
        return admEmsEcoDMapper.updateAdmEmsEcoD(admEmsEcoD);
    }

    /**
     * 批量删除节能计量日
     * 
     * @param ids 需要删除的节能计量日主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsEcoDByIds(Long[] ids)
    {
        return admEmsEcoDMapper.deleteAdmEmsEcoDByIds(ids);
    }

    /**
     * 删除节能计量日信息
     * 
     * @param id 节能计量日主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsEcoDById(Long id)
    {
        return admEmsEcoDMapper.deleteAdmEmsEcoDById(id);
    }
}
